<template>
  <section class="contentDetail">
    <AiDetail :title="detail.title" :detail="detail" :props="props"/>
  </section>
</template>

<script>
export default {
  name: "contentDetail",
  data() {
    return {
      detail: {title: "内容详情"},
      props: {
        count: "viewCount"
      }
    }
  },
  onLoad(params) {
    params.id && this.getDetail(params.id)
  },
  methods: {
    getDetail(id) {
      this.$http.post(`/app/appcontentinfo/queryDetailById`, null, {
        params: {id}
      }).then(res => {
        if (res?.data) {
          this.detail = res.data
        }
      })
    },
  }
}
</script>

<style lang="scss" scoped>
.contentDetail {
}
</style>
